Skip to content

Add Users to Group in Bulk

Endpoint: POST /api/groups/{groupId}/users

Add users to an existing group in bulk. The invoking user must be an Admin to the Conductor cluster.

Path parameters

Parameter Description Type Required/ Optional
groupId The name of the group. string Required.

Request body

Format the request body as an array of user email IDs. Each user must already exist in the Conductor cluster.

Example

[
  "user1@example.com",
  "user2@example.com",
  "user3@example.com"
]

Response

  • Returns 200 OK when the users have been successfully added to the group.
  • Returns 404 if an invalid group name or user ID is provided.
  • Returns 403 if a non-admin invokes the API.

Examples

Add users to a group in bulk

Request

curl -X 'POST' \
  'https://<YOUR-SERVER-URL>/api/groups/TechWriters/users' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '[
  "john.doe@acme.com",
"jane.doe@acme.com"
]'

Response

Returns 200 OK, indicating that the users have been added to the group.